%define	name	directfb
%define version 0.9.22
%define release 5mdk
%define	oname	DirectFB
%define	major	0.9_22
%define	libname	%mklibname %{name} %{major}

Summary:	Hardware graphics acceleration library
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	http://www.directfb.org/downloads/Core/%{oname}-%{version}.tar.bz2
# (gb) nuke lib64 rpaths, aka libtool fixes, don't bother with aclocal
Patch1:		DirectFB-0.9.21-libtool.patch.bz2
# (cjw) savage and i830 drivers use sys/io.h
Patch2:		directfb-0.9.21-disable-savage-on-ppc.patch.bz2
URL:		http://www.directfb.org/
BuildRequires:	libpng-devel >= 1.2.0
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	freetype2-devel >= 2.0.2
BuildRequires:	libsysfs-devel
BuildRequires:  kernel-source
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DirectFB hardware graphics acceleration - libraries.

%package -n	%{libname}
Summary:        Shared library part of %oname
Group:		System/Libraries

%description -n	%{libname}
DirectFB hardware graphics acceleration - libraries.

This package contains the %oname shared library and interface modules.
It's required for running apps based on %oname.


%package -n	%{libname}-devel
Group:		Development/C
Summary:	Header files for compiling DirectFB applications
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}
Provides:	libdirectfb0.9-devel = %{version}-%{release}
Conflicts:	%{_lib}directfb0.9_20-devel %{_lib}directfb0.9_21-devel

%description -n	%{libname}-devel
DirectFB header files for building applications based on %oname. 

%package	doc
Summary:	DirectFB - documentation
Group:		Books/Computer books

%description	doc
DirectFB documentation and examples.

%prep
%setup  -q -n %{oname}-%{version}
%patch1 -p1 -b .libtool
%patch2 -p1 -b .ppc
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS -O3" \
%configure2_5x \
	--disable-maintainer-mode \
	--enable-shared \
	--disable-fast-install \
	--disable-avifile \
	--disable-debug
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# we don't ship these ATM, libtool relink problem
#rm -f %buildroot/%_bindir/dfbg
#rm -f %buildroot/%_mandir/man1/dfbg.1
#rm -f %buildroot/%_bindir/dfbdump
#rm -f %buildroot/%_bindir/dfbinfo
#rm -f %buildroot/%_bindir/dfblayer

# multiarch policy
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/directfb-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(644,root,root,755)
%doc README* AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_libdir}/directfb-%{version}
%{_datadir}/directfb-%{version}


%files -n %{libname}-devel
%defattr(755,root,root,755)
%{_bindir}/directfb-config
%multiarch %{multiarch_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_bindir}/dfblayer
%{_bindir}/dfbdump
%{_bindir}/dfbg
%{_bindir}/dfbinfo
%{_bindir}/dfbscreen
%{_bindir}/dfbsummon
%defattr(644,root,root,755)
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_mandir}/man1/directfb-csource.1*
%{_mandir}/man1/dfbg.1*
%{_mandir}/man5/directfbrc.5*
%{_libdir}/pkgconfig/*
%{_libdir}/*.la
%{_libdir}/*.so

%files doc
%defattr(644,root,root,755)
%doc docs/html/*

%changelog
* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.22-5mdk
- rebuild so that devel subpackage got linked with 0.9.22 instead of 0.9.21 on
  x86_64

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.9.22-4mdk
- add conflict to fix upgrade from stable

* Sat Apr 30 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.22-3mdk
- update patch2 to include i830 driver (fix ppc build)

* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.22-2mdk
- rebuild so that devel subpackage got linked with 0.9.22 instead of 0.9.21

* Mon Apr 25 2005 Gtz Waschk <waschk@mandriva.org> 0.9.22-1mdk
- drop patch 0
- new major
- New release 0.9.22

* Sat Feb 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.9.21-3mdk
- Patch2: fix build on ppc (don't build savage driver)
- add BuildRequires: libsysfs-devel

* Tue Feb 15 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.21-2mdk
- nuke lib64 rpaths
- fix build, multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.21-1mdk
- 0.9.21 (finally!)
- do libtoolize again
- compile with -O3
- ship all binaries again
- drop P1, P2 & P3 (fixed upstream)
- cosmetics

* Tue Sep 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.20-2mdk
- merge patches from Debian:
  * fix matrox driver build
  * fix savage driver build (include <linux/fb.h> adequately)
  * fix IDirectFBVideoProvider build (add <linux/videodev2.h> specifically)

* Tue Nov 18 2003 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.20-1mdk
- remove all broken binaries
- add missing includes to the matrox driver 
- buildrequires kernel-source for the i2c headers
- don't libtoolize
- configure2_5x macro 
- fix buildrequires
- new version

* Wed Jul 16 2003 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.18-2mdk
- rebuild for new rpm

* Tue Jun  3 2003 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.18-1mdk
- new version

* Sat Mar  1 2003 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.17-1mdk
- fix provides
- mklibname macro
- add missing binaries to the devel package
- new version

* Fri Dec 27 2002 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.15-2mdk
- rebuild

* Wed Nov 13 2002 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.15-1mdk
- new version

* Tue Oct 29 2002 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.14-1mdk
- fix group of doc package
- new version

* Fri Aug 23 2002 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.13-1mdk
- add directfb-csource and man page
- 0.9.13

* Thu Jul 11 2002 G¶tz Waschk <waschk@linux-mandrake.com> 0.9.12-1mdk
- initial package based on PLD effort

